Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisEncoderOperand_::ZydisEncoderOperandMem_ Struct Reference

Extended info for memory-operands. More...

`#include <Encoder.h>`

## Data Fields
ZydisRegister | base
| The base register.
ZydisRegister | index
| The index register.
ZyanU8 | scale
| The scale factor.
ZyanI64 | displacement
| The displacement value.
ZyanU16 | size
| Size of this operand in bytes.

## Detailed Description

Extended info for memory-operands.

## Field Documentation

## ◆ base

ZydisRegister base

The base register.

## ◆ displacement

ZyanI64 displacement

The displacement value.

This value is always treated as 64-bit signed integer, so it's important to take this into account when specifying absolute addresses. For example to specify a 16-bit address 0x8000 in 16-bit mode it should be sign extended to 0xFFFFFFFFFFFF8000. See address_size_hint for more information about absolute addresses.

## ◆ index

ZydisRegister index

The index register.

## ◆ scale

ZyanU8 scale

The scale factor.

## ◆ size

ZyanU16 size

Size of this operand in bytes.

The documentation for this struct was generated from the following file:

- include/Zydis/Encoder.h